# List Stores

> Stores of the key's organization (only store_ids for restricted keys).

Source: https://shopassist.coec.dk/docs/api/reference/stores/list-stores · Updated 2026-11-03

`GET /v1/stores`

- Scope: `stores:read`
- Rate limit: 600 requests/min per API key (test keys: 60/min)

Stores of the key's organization (only `store_ids` for restricted keys).

## Parameters [#parameters]

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `limit` | query | `integer` | no | Page size |
| `cursor` | query | `string \| null` | no | Cursor from the previous page |

## Example request [#example-request]

```bash
curl -X GET "https://api.shopassist.coec.dk/v1/stores" \
  -H "Authorization: Bearer $SHOPASSIST_API_KEY"
```

## Response 200 (Page_StorePublic_) [#response]

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `data` | `StorePublic[]` | yes |  |
| `data[].capabilities` | `object` | yes | stores.capabilities (02 §17) |
| `data[].catalog_locale` | `string` | yes | 2–35 characters · pattern `^[A-Za-z]{2,3}(-[A-Za-z0-9]{2,8})*$` |
| `data[].created_at` | `string` | yes | format date-time |
| `data[].currency` | `string` | yes | pattern `^[A-Z]{3}$` |
| `data[].id` | `string` | yes | pattern `^sto_[0-9a-hjkmnp-tv-z]{26}$` |
| `data[].name` | `string` | yes |  |
| `data[].platform` | `"shopify" \| "magento2" \| "woocommerce" \| "prestashop" \| "generic"` | yes |  |
| `data[].primary_domain` | `string \| null` | yes |  |
| `data[].status` | `string (enum)` | yes | one of pending_connect, connecting, syncing, active, paused, reconnect_required, disconnected, uninstalled, suspended |
| `data[].timezone` | `string` | yes |  |
| `has_more` | `boolean` | yes |  |
| `next_cursor` | `string \| null` | yes | Opaque cursor for the next page; null on the last page |

```json
{
  "data": [
    {
      "capabilities": {},
      "catalog_locale": "da-DK",
      "created_at": "2026-09-28T10:15:30.123Z",
      "currency": "DKK",
      "id": "sto_01j8000000e008000000000000",
      "name": "string",
      "platform": "shopify",
      "primary_domain": "string",
      "status": "pending_connect",
      "timezone": "string"
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
```

## Errors [#errors]

| Status | Meaning |
| --- | --- |
| 400 | Bad Request ([error codes](/docs/api/errors)) |
| 401 | Unauthorized ([error codes](/docs/api/errors)) |
| 403 | Forbidden ([error codes](/docs/api/errors)) |
| 422 | Unprocessable Content ([error codes](/docs/api/errors)) |
| 429 | Too Many Requests ([error codes](/docs/api/errors)) |
